[Fusionforge-commits] r15641 - in branches/Branch_5_1: . tests/scripts

Roland Mas lolando at fusionforge.org
Thu May 31 20:09:16 CEST 2012


Author: lolando
Date: 2012-05-31 20:09:12 +0200 (Thu, 31 May 2012)
New Revision: 15641

Modified:
   branches/Branch_5_1/
   branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-deb.sh
   branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-rpm.sh
   branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-source.sh
Log:
Trying again to fix stopping of VMs

Modified: branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-deb.sh
===================================================================
--- branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-deb.sh	2012-05-31 15:07:38 UTC (rev 15640)
+++ branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-deb.sh	2012-05-31 18:09:12 UTC (rev 15641)
@@ -138,6 +138,7 @@
 then
 	echo "Keeping vm $HOST alive"
 else
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	cd tests/scripts
+	sh ./stop_vm.sh $HOST || true
 fi
 exit $retcode

Modified: branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-rpm.sh
===================================================================
--- branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-rpm.sh	2012-05-31 15:07:38 UTC (rev 15640)
+++ branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-rpm.sh	2012-05-31 18:09:12 UTC (rev 15641)
@@ -137,6 +137,7 @@
 then
 	echo "Keeping vm $HOST alive"
 else
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	cd tests/scripts
+	sh ./stop_vm.sh $HOST || true
 fi
 exit $retcode

Modified: branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-source.sh
===================================================================
--- branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-source.sh	2012-05-31 15:07:38 UTC (rev 15640)
+++ branches/Branch_5_1/tests/scripts/fusionforge-build-and-test-source.sh	2012-05-31 18:09:12 UTC (rev 15641)
@@ -137,6 +137,7 @@
 then
 	echo "Keeping vm $HOST alive"
 else
-	(cd tests/scripts ; sh ./stop_vm.sh $HOST)
+	cd tests/scripts
+	sh ./stop_vm.sh $HOST || true
 fi
 exit $retcode




More information about the Fusionforge-commits mailing list